%global checkout_date 20110703

%define real_name mod_map_user

Summary:  Apache module designed to reformat username for Apache 2.4.x
Name: mod_map_user-ap24
Version: 0
Release: 0.1.%{checkout_date}cvs
License: BSD and MIT
Group: System Environment/Daemons
URL: http://modauthkerb.sourceforge.net/
# CVS checkout:
# cvs -z3 -d:pserver:anonymous@modauthkerb.cvs.sourceforge.net:/cvsroot/modauthkerb checkout -P mod_map_user
Source0: %{real_name}-%{checkout_date}.tar.gz
Source1: map_user.conf
Source2: LICENSE.%{real_name}
Patch0: %{real_name}-%{checkout_date}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: autoconf
BuildRequires: httpd-devel >= 2.4.1-3, httpd-devel < 2.5
Requires:      httpd >= 2.4.1-3, httpd < 2.5

%description
mod_map_user is an Apache module designed to reformat the authenticated
username for use by other authorization modules, such as mod_authnz_ldap.
It runs at the beginning of the authorization phase so it can serve as glue
between the authentication and authorization phases. It is never authoritative.

This module is for Apache 2.4.x versions.


%prep
%setup -q -n %{real_name}
%patch0
cp -p %{SOURCE2} LICENSE


%build
autoconf

./configure \
    --prefix=%{_prefix} \
    --with-apache=%{_prefix}

make %{?_smp_mflags} 


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules \
         ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra

cp .libs/mod_map_user.so ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules/mod_map_user.so
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules/mod_map_user.so

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/httpd-map_user.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/httpd-map_user.conf


%preun
if [ "$1" = 0 ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
      grep -v "# mod_map_user settings" | \
      grep -v "Include conf/extra/httpd-map_user.conf" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
    echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"
fi


%post
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
  grep -v "# mod_map_user settings" | \
  grep -v "Include conf/extra/httpd-map_user.conf" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "# mod_map_user settings" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Include conf/extra/httpd-map_user.conf" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README LICENSE
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-map_user.conf
%{_libdir}/httpd/modules/*.so


%changelog
* Mon Jan 07 2013 Michael Perzl <michael@perzl.org> - 0-0.1.20110703cvs
- first version for AIX V5.1 and higher
